Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  trait LoopCommands extends AnyRef
  Definition Classes
    interpreter
- LineCmd
- LoopCommand
- NullaryCmd
- Result
- VarArgsCmd

c

scala.tools.nsc.interpreter.LoopCommands

# VarArgsCmd 

###

#### class VarArgsCmd extends (LoopCommands.this)#LoopCommand

Source
  LoopCommands.scala

Linear Supertypes
(LoopCommands.this)#LoopCommand, (String) ⇒ (LoopCommands.this)#Result, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VarArgsCmd
2. LoopCommand
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new VarArgsCmd(name: String, argWord: String, help: String, f: (List[String]) ⇒ (LoopCommands.this)#Result)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to any2stringadd[(LoopCommands.this)#VarArgsCmd] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((LoopCommands.this)#VarArgsCmd, B)
   Implicit
     This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to ArrowAssoc[(LoopCommands.this)#VarArgsCmd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[A](g: ((LoopCommands.this)#Result) ⇒ A): (String) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
7.  def apply(args: List[String]): (LoopCommands.this)#Result
8.  def apply(line: String): (LoopCommands.this)#Result
   Definition Classes
     VarArgsCmd → LoopCommand → Function1
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def completion: Completion
    Definition Classes
      LoopCommand
12.  def compose[A](g: (A) ⇒ String): (A) ⇒ (LoopCommands.this)#Result
    Definition Classes
      Function1
    Annotations
      @unspecialized()
13.  def ensuring(cond: ((LoopCommands.this)#VarArgsCmd) ⇒ Boolean, msg: ⇒ Any): (LoopCommands.this)#VarArgsCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to Ensuring[(LoopCommands.this)#VarArgsCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: ((LoopCommands.this)#VarArgsCmd) ⇒ Boolean): (LoopCommands.this)#VarArgsCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to Ensuring[(LoopCommands.this)#VarArgsCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: ⇒ Any): (LoopCommands.this)#VarArgsCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to Ensuring[(LoopCommands.this)#VarArgsCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): (LoopCommands.this)#VarArgsCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to Ensuring[(LoopCommands.this)#VarArgsCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to StringFormat[(LoopCommands.this)#VarArgsCmd] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  val help: String
    Definition Classes
      LoopCommand
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val name: String
    Definition Classes
      LoopCommand
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def showUsage(): (LoopCommands.this)#Result
    Definition Classes
      LoopCommand
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
32.  def usage: String
    Definition Classes
      VarArgsCmd → LoopCommand
33.  def usageMsg: String
    Definition Classes
      LoopCommand
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  def →[B](y: B): ((LoopCommands.this)#VarArgsCmd, B)
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#VarArgsCmd to ArrowAssoc[(LoopCommands.this)#VarArgsCmd] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (LoopCommands.this)#LoopCommand

### Inherited from (String) ⇒ (LoopCommands.this)#Result

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (LoopCommands.this)#VarArgsCmd to any2stringadd[(LoopCommands.this)#VarArgsCmd]

### Inherited by implicit conversion StringFormat from (LoopCommands.this)#VarArgsCmd to StringFormat[(LoopCommands.this)#VarArgsCmd]

### Inherited by implicit conversion Ensuring from (LoopCommands.this)#VarArgsCmd to Ensuring[(LoopCommands.this)#VarArgsCmd]

### Inherited by implicit conversion ArrowAssoc from (LoopCommands.this)#VarArgsCmd to ArrowAssoc[(LoopCommands.this)#VarArgsCmd]

### Ungrouped